## LOC NMEA indication

LOC NMEA indication

## Functions

QmiIndicationLocNmeaOutput * | qmi_indication_loc_nmea_output_ref ()
void | qmi_indication_loc_nmea_output_unref ()
gboolean | qmi_indication_loc_nmea_output_get_nmea_string ()

## Types and Values

| QmiIndicationLocNmeaOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocNmeaOutput

## Description

## Functions

### qmi_indication_loc_nmea_output_ref ()

    QmiIndicationLocNmeaOutput *
    qmi_indication_loc_nmea_output_ref (QmiIndicationLocNmeaOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocNmeaOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_nmea_output_unref ()

    void
    qmi_indication_loc_nmea_output_unref (QmiIndicationLocNmeaOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocNmeaOutput. |

Since: 1.22

### qmi_indication_loc_nmea_output_get_nmea_string ()

    gboolean
    qmi_indication_loc_nmea_output_get_nmea_string
                                   (QmiIndicationLocNmeaOutput *self,
                                    const gchar **value_nmea_string,
                                    GError **error);

Get the 'NMEA String' field from `self` .

#### Parameters

self | a QmiIndicationLocNmeaOutput. |
value_nmea_string | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationLocNmeaOutput

    typedef struct _QmiIndicationLocNmeaOutput QmiIndicationLocNmeaOutput;

The QmiIndicationLocNmeaOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22